#
# XML sitemap fields mixin
#
'Neos.Seo:XmlSitemapMixin':
  abstract: true
  ui:
    inspector:
      groups:
        xmlsitemap:
          label: i18n
          icon: 'icon-sitemap'
          position: 500
          tab: seo
  properties:
    xmlSitemapChangeFrequency:
      type: string
      ui:
        label: i18n
        inspector:
          group: 'xmlsitemap'
          position: 10
          editor: 'Neos.Neos/Inspector/Editors/SelectBoxEditor'
          editorOptions:
            allowEmpty: true
            placeholder: 'none (unspecified)'
            values:
              always:
                label: i18n
                icon: 'icon-clock'
              hourly:
                label: i18n
                icon: 'icon-hourglass'
              daily:
                label: i18n
                icon: 'icon-calendar-day'
              weekly:
                label: i18n
                icon: 'icon-calendar-week'
              monthly:
                label: i18n
                icon: 'icon-calendar'
              yearly:
                label: i18n
                icon: 'icon-glass-cheers'
              never:
                label: i18n
                icon: 'icon-time-circle'
    xmlSitemapPriority:
      type: string
      ui:
        label: i18n
        inspector:
          group: 'xmlsitemap'
          position: 20
          editorOptions:
            placeholder: i18n
      validation:
        'Neos.Neos/Validation/NumberRangeValidator':
          minimum: 0
          maximum: 1
